ports/143093: print/pdftk installs gcc42, even if gcc44 exists

Ports-bugs

turutaniscphyskyotouacjp
print/pdftk requires gcj to build.
	hence, print/pdftk use "USE_GCC=4.2+", but it always require gcc42
	even if higher versions of gcc are installed; "+" makes no sense.
	
	
	FreeBSD 7.x, 8.x, current installs gcc42 without gcj, hence "USE_GCC=4.2+"
	always detect gcc in base system.
	Therefore, gcc version to use is always 4.2, and gcj42 does not exists
	unless lang/gcc42 is installed, then gcc42 is installed even if gcc43
	or gcc44 etc is installed.
	here is a patch to Makefile:



@@ -19,12 +19,18 @@
 # Make this explicit for all OS versions.  For __FreeBSD_version < 700042,
 # we need to build gcc 4.2+ to get gcj42, and for OS versions with gcc 4.2+
 # in the base system, we need to build the port anyway to get gcj42.
+.if !exists(${LOCALBASE}/bin/gcj42)
 BUILD_DEPENDS=	gcj${CSUFF}:${PORTSDIR}/lang/gcc${CSUFF}
+. if defined(WANT_GCC42)
+USE_GCC=	4.2+
+. else
+USE_GCC=	4.3+
+. endif
+.endif
 
 # Get gcc version suffix without the dot in USE_GCC
 CSUFF=		${_USE_GCC:S/.//}
 
-USE_GCC=	4.2+
 USE_GMAKE=	yes
 USE_ICONV=	yes
 
	


_______________________________________________
[email protected] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "[email protected]"
                                            
edwinFreeBSDorg
Synopsis: print/pdftk installs gcc42, even if gcc44 exists

Responsible-Changed-From-To: freebsd-ports-bugs->glarkin
Responsible-Changed-By: edwin

Responsible-Changed-Why: 
Over to maintainer (via the GNATS Auto Assign Tool)

http://www.freebsd.org/cgi/query-pr.cgi?pr=143093
_______________________________________________
[email protected] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "[email protected]"